# Generate automatically. Do not edit.

commit d463f42495484437de8cec69bea9b6814ee32479
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2019-09-30

    Release 3.34.0

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit ddacb9cd6eff3363350252ccb976f9245a0fb729
Merge: f609501e e8291902
Author: Daiki Ueno <ueno@gnu.org>
Date:   2019-09-26

    Merge branch 'glib-2-62' into 'master'
    
    Remove tap-gtester, rely on GLib 2.38+ built-in TAP output instead
    
    See merge request GNOME/gnome-keyring!20

commit e8291902185e02a20f4542b40c3fdb3a9f07a13b
Author: Simon McVittie <smcv@debian.org>
Date:   2019-09-13

    Remove tap-gtester, rely on GLib 2.38+ built-in TAP output instead
    
    GLib 2.62+ outputs TAP by default, which breaks the tap-gtester
    script's expectations. In older GLib versions since 2.38, --tap is an
    opt-in to the TAP output mode, so use that.
    
    This is essentially the same issue as
    https://github.com/cockpit-project/cockpit/pull/11998 (cockpit was the
    source of the tap-gtester script), GNOME/gcr!19, and GNOME/libsecret!5.
    
    Signed-off-by: Simon McVittie <smcv@debian.org>
    Bug-Debian: https://bugs.debian.org/940157

 Makefile.am       |   3 +-
 build/tap-gtester | 206 ------------------------------------------------------
 2 files changed, 1 insertion(+), 208 deletions(-)

commit f609501e986809a5d1a7f0450e9d82144e04da17
Merge: bb7336cf bf04c455
Author: Daiki Ueno <ueno@gnu.org>
Date:   2019-09-24

    Merge branch 'wip/dueno/ubsan' into 'master'
    
    build: Fix UB spotted by UBSan
    
    See merge request GNOME/gnome-keyring!24

commit bf04c45535dc9fae80d3beead16fcd760989b44e
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2019-09-16

    pkcs11: Fix load of misaligned address

 pkcs11/gkm/gkm-attributes.c | 14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

commit 10a3663d10a9326cde76f7cfd7cb57efbd7e5e9c
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2019-09-16

    egg-asn1x: Avoid signed integer overflow

 egg/egg-asn1x.c | 14 +++++---------
 1 file changed, 5 insertions(+), 9 deletions(-)

commit fb69d6ca6cb6fe290f1473c961bbf1379966d83a
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2019-09-16

    egg: Fix undefined behavior on excessive left shift

 egg/egg-buffer.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bb7336cf262acaefe2c462ce052ecf14739d15de
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:   2019-09-21

    Update Brazilian Portuguese translation

 po/pt_BR.po | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit c58579dc4c9b5e073d2a0fc9e8a776a13fb52d5a
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:   2019-09-19

    Update Brazilian Portuguese translation

 po/pt_BR.po | 328 +++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 168 insertions(+), 160 deletions(-)

commit 5738abd235f53d505bee0925ab983255720865d0
Merge: 7447cd7f 5d088356
Author: Daiki Ueno <ueno@gnu.org>
Date:   2019-09-05

    Merge branch 'wip/benzea/possible-race-fixes' into 'master'
    
    Possible race fix
    
    See merge request GNOME/gnome-keyring!19

commit 5d088356a9473c06564bd2cef18ca370437a17bc
Author: Benjamin Berg <bberg@redhat.com>
Date:   2019-05-14

    dbus-environment: Make Setenv request synchronuous
    
    Currently there is a potential race condition where the Setenv request
    races further session startup. i.e. the clients that are started with
    --start on login may quit before the Setenv DBus call is delivered. This
    opens a theoretical race condition where gnome-session is already past
    the initialization phase when it serves the Setenv request.

 daemon/dbus/gkd-dbus-environment.c | 62 ++++++++++++++++++--------------------
 1 file changed, 30 insertions(+), 32 deletions(-)

commit 8a948b3ac17f7d1b0ff31b0cf22e655054eb5c6b
Author: Benjamin Berg <bberg@redhat.com>
Date:   2019-05-14

    dbus-environment: Log Setenv call failure after initialization
    
    When the GNOME session is already initialized at the point that Setenv
    is called, then an error is returned. Hidding this error makes it hard
    to understand why the environment was not setup if things failed.

 daemon/dbus/gkd-dbus-environment.c | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit 7447cd7f2b561870ca236724a4826b0857d6ff94
Author: Danial Behzadi <dani.behzi@ubuntu.com>
Date:   2019-09-02

    Update Persian translation

 po/fa.po | 600 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 300 insertions(+), 300 deletions(-)

commit 37881eceae00ddaa89e4f06328b2beecc06a24a4
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   2019-08-16

    Update Icelandic translation

 po/is.po | 554 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 281 insertions(+), 273 deletions(-)

commit d8df9de406c88ddd20ce3c954947edb8fdd71563
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2019-08-13

    build: Add .dir-locals.el for Emacs

 .dir-locals.el | 1 +
 1 file changed, 1 insertion(+)

commit 97e70eb49c7fdd2bd6f0a6b485a7adf04d5d685a
Author: Jor Teron <jor.teron@gmail.com>
Date:   2019-07-25

    Add Karbi translation

 po/LINGUAS |   1 +
 po/mjw.po  | 508 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 509 insertions(+)

commit 28a8b9243ceaede00d0c30318d38deb1a6c5840b
Merge: 1b6742ac 198d7036
Author: Daiki Ueno <ueno@gnu.org>
Date:   2019-05-15

    Merge branch 'wip/dueno/madvise' into 'master'
    
    build: Remove configure check for MADV_DONTDUMP
    
    Closes #30
    
    See merge request GNOME/gnome-keyring!17

commit 198d70364554dea570033aded74b339d1dc1d3a1
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2019-05-15

    build: Remove configure check for MADV_DONTDUMP
    
    It can be checked in the source code instead.

 configure.ac            | 8 --------
 egg/egg-secure-memory.c | 2 +-
 2 files changed, 1 insertion(+), 9 deletions(-)

commit 1b6742acc9984f15665b8dba0a654e616426cb62
Merge: e6822428 7a8b7d2e
Author: Daiki Ueno <ueno@gnu.org>
Date:   2019-05-10

    Merge branch 'wip/dueno/musl' into 'master'
    
    rpc-layer: fix build with musl-libc
    
    Closes #29
    
    See merge request GNOME/gnome-keyring!16

commit 7a8b7d2ebfbb831840e6d58dbb1109f4c31d6ba4
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2019-05-10

    rpc-layer: fix build with musl-libc
    
    The recent POSIX suggests to include <sys/select.h> for select().
    
    Reported by Anthony G. Basile.

 pkcs11/rpc-layer/gkm-rpc-daemon-standalone.c | 1 +
 1 file changed, 1 insertion(+)

commit e6822428ebfe3b61bfa5df7e04a5e1af7f2048ca
Author: Matthew Garrett <matthewgarrett@google.com>
Date:   2019-04-19

    egg: Request that secure memory not be dumped to disk
    
    Linux 3.4 added support for the MADV_DONTDUMP option to madvise(), which
    requests that the covered memory not be included in coredumps. It makes
    sense to use this to prevent cases where application crashes could
    result in secrets being persisted to disk or included in dumps that are
    uploaded to remote servers for analysis. I've avoided making this fatal
    since there's a chance this code could be built on systems that have
    MADV_DONTDUMP but run on systems that don't.

 configure.ac            |  8 ++++++++
 egg/egg-secure-memory.c | 13 +++++++++++++
 2 files changed, 21 insertions(+)

commit 91bc9368ca2eedef0dec3f5aa81f641ced07a9b6
Author: Simon McVittie <smcv@debian.org>
Date:   2019-03-09

    test-gkd-ssh-agent-service: Avoid race condition with server thread
    
    These tests create a server thread in setup() and join it in teardown(),
    but there are various race conditions between them that can cause the
    test to hang. These are particularly reproducible when building on a
    single-CPU machine or VM, and particularly in the startup_shutdown
    test (which doesn't do anything, so it runs teardown() immediately
    after setup()).
    
    It's possible to get this preemption pattern:
    
         ___ Main thread ___                ___ Server thread ___
         g_thread_new()                     (starts)
         g_cond_wait() (blocks)
                                            ...
                                            g_cond_signal()
                                            (gets preempted here)
         exit setup()
         enter teardown()
         g_main_loop_quit()
                                            g_main_loop_run()
    
    which means g_main_loop_run() will never terminate, because it wasn't
    running yet when the main thread told the GMainLoop to quit, and the
    main thread won't tell it to quit again.
    
    One way to solve this would be for the server thread to signal
    test->cond from an idle callback instead of directly from
    server_thread(), to guarantee that the GMainLoop is already running.
    However, it seems easier to reason about if we avoid GMainLoop and
    iterate the main context directly.
    
    Signed-off-by: Simon McVittie <smcv@debian.org>
    Bug-Debian: https://bugs.debian.org/909416

 daemon/ssh-agent/test-gkd-ssh-agent-service.c | 23 +++++++++++------------
 1 file changed, 11 insertions(+), 12 deletions(-)

commit af8f5e7479f3ac8c34278caadc7a8507f96a74c0
Author: Waldo Luís Ribeiro <waldoribeiro@sapo.pt>
Date:   2019-03-16

    Update British English translation

 po/en_GB.po | 481 +++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 250 insertions(+), 231 deletions(-)

commit 8b7f6a5df0566ab5bf4d4c1feb68963df3d7cd1f
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   2019-03-02

    Update Finnish translation

 po/fi.po | 356 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 165 insertions(+), 191 deletions(-)

commit 1c834760190ecf5a58c6feee441c41baeea07f5f
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2019-03-02

    Release 3.31.91

 NEWS         | 4 ++++
 configure.ac | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 2a20a7ac9667bdb68b2c9d553d1fee0f3425f6d4
Merge: 9e982a5c 443a821c
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2019-03-02

    Merge branch 'roderich.schupp/gnome-keyring-issue-26'
    
    See merge request GNOME/gnome-keyring!11

commit 443a821cba105e8f277828a67b3d019b67f1324a
Author: Roderich Schupp <roderich.schupp@gmail.com>
Date:   2019-03-01

    Fixes #26: restore behaviour before b22d058a when control file isn't found

 pam/gkr-pam-module.c | 2 ++
 1 file changed, 2 insertions(+)

commit 9e982a5c48e161c6ee3be6ed238112a14385e3c3
Author: Jordi Mas <jmas@softcatala.org>
Date:   2019-02-22

    Update Catalan translation

 po/ca.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2e68d15355213e32face010e91b5e56741f5cd23
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2019-02-10

    Release 3.31.90

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit a5055e0a20318df8e5bb9eb58bbdb1573ba1b7ca
Merge: 4ff3917c 0155663e
Author: Daiki Ueno <ueno@gnu.org>
Date:   2019-02-10

    Merge branch 'wip/dueno/pkcs11-enable-in' into 'master'
    
    pkcs11: Expose module to specific programs
    
    See merge request GNOME/gnome-keyring!8

commit 0155663e0523dfe4c706c74e02c7aa1e6afe227d
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2018-12-29

    pkcs11: Expose module to specific programs

 pkcs11/rpc-layer/gnome-keyring.module.in | 6 ++++++
 1 file changed, 6 insertions(+)

commit 4ff3917c8372c5953c7d8bd1be6dc470d2c34c21
Merge: 4fa0719d e910963b
Author: Daiki Ueno <ueno@gnu.org>
Date:   2019-02-09

    Merge branch 'jjardon/gnome-common-removal' into 'master'
    
    autogen.sh: Use autoreconf instead deprecated gnome-common
    
    See merge request GNOME/gnome-keyring!10

commit e910963b9bd15d2d923343890170702d56380c4f
Author: Javier Jardón <jjardon@gnome.org>
Date:   2019-02-09

    autogen.sh: Use autoreconf instead deprecated gnome-common
    
    See https://wiki.gnome.org/Projects/GnomeCommon/Migration

 autogen.sh | 48 ++++++++++++++++++++++++++++--------------------
 1 file changed, 28 insertions(+), 20 deletions(-)

commit 4fa0719dfb15c631758e623e90e6677b856b7f97
Merge: 7a2a4a26 7aba0e6a
Author: Daiki Ueno <ueno@gnu.org>
Date:   2019-01-30

    Merge branch 'wip/header-order' into 'master'
    
    Don't assume iterating a hash table will give items in the same order they were inserted
    
    Closes #21
    
    See merge request GNOME/gnome-keyring!9

commit 7aba0e6aadd75fc688bf7f086a620e4dc41da6d0
Author: Iain Lane <iainl@gnome.org>
Date:   2019-01-30

    gkm-mock: Also store objects in the order they are taken
    
    With GLib 2.59, the `test-login-auto` test fails:
    
      Gcr-CRITICAL **: 14:34:24.126: expected prompt property 'choice-label'
      to be "Automatically unlock this keyring whenever I\342\200\231m
      logged in", but it is instead ""
    
    This is because, in `mock_secret_C_Initialize()` we assign two sets of
    fields to the mock module, one with `CKA_G_LOGIN_COLLECTION` → `CK_TRUE`
    and one with it pointing to `CK_FALSE`.
    
    This variable is used to decide, via `is_login_keyring()`, whether to call
    `setup_unlock_keyring_login()` or `setup_unlock_keyring_other()`. The
    first one sets `choice-label` to the empty string. The second one is
    what we want, and upgrading GLib made it flip.
    
    The reason is the same as the previous two fixes: the mock-secret-store
    expects to be able to insert items into a hash table and then iterate it
    and get them out in the same order. That was never guaranteed, and now
    doesn't happen.
    
    Let's keep a parallel list which keeps track of the order things were
    added. And then instead of iterating the hash table, we iterate this
    list.
    
    Closes #21

 pkcs11/gkm/gkm-mock.c                   | 67 ++++++++++++++++++++++++++++-----
 pkcs11/secret-store/gkm-secret-fields.c |  4 +-
 2 files changed, 58 insertions(+), 13 deletions(-)

commit 3091bf66c07f8df66876ecc7832371170743b052
Author: Iain Lane <iainl@gnome.org>
Date:   2019-01-30

    secret-store: Sort fields alphabetically before outputting
    
    The assumption that we'd get values out of a hash table in the same
    order we put them in stopped holding with GLib 2.59:
    
      ERROR:…/gnome-keyring/pkcs11/secret-store/test-secret-item.c:379:test_fields_attr:
      assertion failed: (memcmp (buffer, "name1\0value1\0name2\0value2", 26)
      == 0)
    
    Let's ensure a consistent order by sorting the fields before returning
    them.
    
    Closes #21.

 pkcs11/secret-store/gkm-secret-fields.c | 22 ++++++++++++++++------
 1 file changed, 16 insertions(+), 6 deletions(-)

commit 23fdfe728a27a01ef50affd849be5188c0cda954
Author: Iain Lane <iainl@gnome.org>
Date:   2019-01-28

    egg: Write Proc-Type header before DEK-Info
    
    These headers (at least for OpenSSL) must come in this order. We
    shouldn't assume that `g_hash_table_foreach` is going to give a
    particular ordering - it's not guaranteed, and has changed with GLib
    2.59.
    
    Fixes #21

 egg/egg-armor.c | 26 +++++++++++++++++++++-----
 1 file changed, 21 insertions(+), 5 deletions(-)

commit 7a2a4a265643f2cf1c2f278343e9dd230f982758
Author: Ryuta Fujii <translation@sicklylife.jp>
Date:   2019-01-03

    Update Japanese translation

 po/ja.po | 491 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 260 insertions(+), 231 deletions(-)

commit 2d03ae466eb3b02b74466b396624debddc377fcf
Merge: c897a163 a955ae82
Author: Daiki Ueno <ueno@gnu.org>
Date:   2018-12-29

    Merge branch 'mjog/reinstate-p11kit-module' into 'master'
    
    Revert "pkcs11: Don't install p11-kit module configuration"
    
    Closes #20
    
    See merge request GNOME/gnome-keyring!7

commit a955ae82a9828ec115bc6fadd56abe00bc49f3ae
Author: Michael James Gratton <mike@vee.net>
Date:   2018-12-25

    Revert "pkcs11: Don't install p11-kit module configuration"
    
    This reverts commit 5d8326eaf1ebce1cde2ee797c03f261da3159aae.
    
    Fixes #20

 .gitignore                               | 3 +++
 configure.ac                             | 1 +
 pkcs11/rpc-layer/Makefile.am             | 5 +++++
 pkcs11/rpc-layer/gnome-keyring.module.in | 7 +++++++
 4 files changed, 16 insertions(+)

commit c897a1633b3da2da1b766f50e405dbd727a63dde
Author: Andre Klapper <a9016009@gmx.de>
Date:   2018-12-15

    Replace Bugzilla by Gitlab URL in DOAP file

 gnome-keyring.doap | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bf2ccadbafb797802b0091c9067bc6878ca7e88f
Author: Charles Monzat <charles.monzat@numericable.fr>
Date:   2018-12-02

    Update French translation

 po/fr.po | 323 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 165 insertions(+), 158 deletions(-)

commit b948b2e83773af25064fbf726eb4eaf758f75d17
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   2018-10-31

    Update Occitan translation

 po/oc.po | 483 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 259 insertions(+), 224 deletions(-)

commit c72fb231ad5cad8727b02c0ce56b03cb8cd6ccf7
Author: Carmen Bianca BAKKER <carmen@carmenbianca.eu>
Date:   2018-10-27

    Update Esperanto translation

 po/eo.po | 406 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 201 insertions(+), 205 deletions(-)

commit 8a3fafced5c77b7a44c23794d2c72ac144f33de7
Merge: aace7a26 b22d058a
Author: Daiki Ueno <ueno@gnu.org>
Date:   2018-10-10

    Merge branch 'jk-fix-reading-xdg-runtime-dir' into 'master'
    
    pam: lookup XDG_RUNTIME_DIR using get_any_env
    
    See merge request GNOME/gnome-keyring!5

commit b22d058a055ec3e0f31ae16417f16b42baadb42f
Author: Jacob Keller <jacob.keller@gmail.com>
Date:   2018-10-05

    pam: lookup XDG_RUNTIME_DIR using get_any_env
    
    The pam_gnome_keyring.so PAM module needs to find the daemon control
    file, which is stored in $XDG_RUNTIME_DIR/keyring/control.
    Unfortunately when commit 2ca51a0aef5b ("daemon: Stop exporting the
    $GNOME_KEYRING_CONTROL env variable", 2014-03-06) switched to using
    XDG_RUNTIME_DIR preferentially over GNOME_KEYRING_CONTROL, it was looked
    up using getenv().
    
    Unfortunately XDG_RUNTIME_DIR isn't always set in the environment, but
    may need to be looked up from pam_getenv. Indeed, the function
    get_any_env already exists for this purpose.
    
    Because of the incorrect environment lookup, lookup_daemon will
    incorrectly report that the gnome-keyring-daemon is not running, even
    though it is. This results in starting the daemon multiple times, and
    potentially failing to shut it down, or start it correctly when changing
    the password.
    
    To fix this, move the code for determining the control file path from
    gkr-pam-client.c into gkr-pam-module.c This will using get_any_env(),
    and avoids the need for passing the pam_handle_t variable into
    gkr-pam-client.c
    
    It does mean that the control variable must be allocated with space,
    since we need to combine the environment value with a different suffix
    depending on if we use GNOME_KEYRING_CONTROL or XDG_RUNTIME_DIR.
    
    Add a function get_control_file, so that the logic for determining the
    control file path remains in one location.
    
    Signed-off-by: Jacob Keller <jacob.keller@gmail.com>

 pam/gkr-pam-client.c | 17 +++------------
 pam/gkr-pam-module.c | 58 ++++++++++++++++++++++++++++++++++++++++++++++------
 2 files changed, 55 insertions(+), 20 deletions(-)

commit aace7a266a37a7e9a915060189e48b9ebd2552f2
Merge: 23b1a878 c7a09c4f
Author: Daiki Ueno <ueno@gnu.org>
Date:   2018-08-28

    Merge branch 'tap-python3' into 'master'
    
    build: Update tap scripts for Python 3 compat
    
    See merge request GNOME/gnome-keyring!4

commit c7a09c4fe480fa002ee22078ff3c2765da47443e
Author: Jan Tojnar <jtojnar@gmail.com>
Date:   2018-08-25

    build: Update tap scripts for Python 3 compat
    
    This replaces tap-driver and tap-gtester with fresh versions from Cockpit.
    
    https://github.com/cockpit-project/cockpit/pull/9500
    https://wiki.gnome.org/Initiatives/GnomeGoals/Python3Porting
    
    Also returned the following commits that are not included in Cockpit:
    
    * 918ab836fd23f9b2c0bf655c7f4f575bffff3189
    * 7e75a62e846551c19b9c875f7b237a07ee3b93e1
    * 7120f44ceedd5c10802781d64a5829b3c6d8e13f
    
    Maybe they should be upstreamed.

 build/tap-driver  | 108 ++++++++++++++++++++++++++++++++++++++++++------------
 build/tap-gtester |  61 +++++++++++++++++++++---------
 2 files changed, 128 insertions(+), 41 deletions(-)

commit 23b1a878462ef20a6fcb44dabd3496a02cbcd70f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   2018-08-16

    Update MSGID_BUGS_ADDRESS in po/Makevars

 po/Makevars | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0e50bb44ea4f19146bf2a1936ce33eac188ce721
Merge: 5388c93e 2e133d11
Author: Daiki Ueno <ueno@gnu.org>
Date:   2018-07-24

    Merge branch 'wip/dueno/gitlab-ci' into 'master'
    
    gitlab-ci: Switch to fedora:latest from fedora:rawhide
    
    See merge request GNOME/gnome-keyring!3

commit 2e133d116607d610d05a10866f72bbee54420385
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2018-07-24

    gitlab-ci: Switch to fedora:latest from fedora:rawhide

 .gitlab-ci.yml | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 5388c93e398a484147039225e500ce8beb9f0c5e
Merge: 2a26b20a cc8d6cd1
Author: Daiki Ueno <ueno@gnu.org>
Date:   2018-07-18

    Merge branch 'wip/dueno/openssh-parse' into 'master'
    
    ssh-agent: Make public key parsing even robuster
    
    See merge request GNOME/gnome-keyring!2

commit cc8d6cd12aff280f1a32b15238508a64931381d6
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2018-07-14

    ssh-agent: Make public key parsing even robuster
    
    This amends commit f3f3cc70 to take into account of the fact that the
    key type is prefixed to the decoded blob.  Suggested by Mantas
    Mikulėnas in:
    https://bugzilla.gnome.org/show_bug.cgi?id=795699

 daemon/ssh-agent/gkd-ssh-agent-util.c | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 2a26b20ab61919fee8b4d0ffae5e18303e41501c
Merge: 1c83f5bf 660b125c
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2018-06-12

    Merge branch 'wip/dueno/gitlab-ci' into 'master'
    
    build: Enable gitlab-ci
    
    See merge request GNOME/gnome-keyring!1

commit 660b125cd8f4e44128eafbbe9fda42bdc08d9fd3
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2018-06-11

    build: Enable gitlab-ci

 .gitlab-ci.yml | 83 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 83 insertions(+)

commit 3614aaecbd922cace83e53678ec58469597e8d58
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2018-06-11

    pkcs11: Don't null terminate PKCS #11 string fields

 pkcs11/wrap-layer/gkm-wrap-layer.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1c83f5bf6d3fdb646d31d4ac4f0f38c8f5e1ac9d
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-05-25

    doap: add <description>

 gnome-keyring.doap | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 9f21625914c1b034f00abe029ee82170b8ea6655
Author: Daiki Ueno <dueno@redhat.com>
Date:   2018-05-25

    doap: add myself as maintainer

 gnome-keyring.doap | 8 ++++++++
 1 file changed, 8 insertions(+)

commit fd47d414d615e2fddee620f387c8c2e6dea380d9
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2018-05-13

    Revert "ssh-agent: Set may_block to TRUE while waiting for ssh-agent process"
    
    This reverts commit fb0d66553753bdc0d700cb5c0bb2803d0690e9ff.

 daemon/ssh-agent/gkd-ssh-agent-process.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fb0d66553753bdc0d700cb5c0bb2803d0690e9ff
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2018-05-07

    ssh-agent: Set may_block to TRUE while waiting for ssh-agent process
    
    Potentially fix the busy loop reported in:
    https://bugzilla.gnome.org/show_bug.cgi?id=794848

 daemon/ssh-agent/gkd-ssh-agent-process.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2b8a73efffef00b6bcb0de16abdee55635930a85
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2018-05-07

    ssh-agent: Don't treat packet write error as fatal

 daemon/ssh-agent/gkd-ssh-agent-util.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit f3f3cc70c3e88513fd9e6bb7f6b1b412218236a0
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2018-04-30

    ssh-agent: Make public key parsing robuster
    
    Previously, _gkd_ssh_agent_parse_public_key() accepted OpenSSH v1
    keys, because the second component of the key line looks like a valid
    base64 blob:
    
      2048 65537 2444136...
    
    This patch checks that the component is really base64 encoded, by
    checking the length is a multiple of 4.
    
    Note that this solution is not perfect, as there could be a key with a
    public exponent whose decimal length is multiple of 4.  More thorough
    approach would be to call ssh-keygen -l on each public key.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=795699

 daemon/ssh-agent/gkd-ssh-agent-util.c      |  6 ++++++
 daemon/ssh-agent/test-gkd-ssh-agent-util.c | 28 +++++++++++++++++-----------
 pkcs11/ssh-store/fixtures/identity.pub     |  1 +
 3 files changed, 24 insertions(+), 11 deletions(-)

commit 0b4e2e898cebf61c7923a1dcc4b8ef817773b385
Author: Daniel Șerbănescu <daniel@serbanescu.dk>
Date:   2018-04-18

    Update Romanian translation
    
    (cherry picked from commit d8b6de0c65c4206bc47942963c285d4ee76cf0c6)

 po/ro.po | 405 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 202 insertions(+), 203 deletions(-)

commit eb72e7825ffdfdb7563e51392f6c5bff9405358c
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   2018-03-27

    Updated Slovenian translation

 po/sl.po | 494 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 241 insertions(+), 253 deletions(-)

commit a0526d18152028e967b7baa5bc039c38a487672a
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2018-03-24

    login: Use password from login keyring once for the same interaction
    
    https://bugzilla.gnome.org/show_bug.cgi?id=794631

 daemon/login/gkd-login-interaction.c | 20 +++++++++++++-------
 1 file changed, 13 insertions(+), 7 deletions(-)

commit a6a5c89dfe81abb1541bfd824087c910451767f8
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2018-03-23

    egg: Port cosmetic fixes to egg-secure-memory.c from libsecret

 egg/egg-secure-memory.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit b70a10e0953a7e0a13ca3705677aa974451e2fa1
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2018-03-20

    login: Use the same label as before when storing password
    
    https://bugzilla.gnome.org/show_bug.cgi?id=794500

 daemon/login/gkd-login-interaction.c | 6 +++++-
 po/POTFILES.in                       | 1 +
 2 files changed, 6 insertions(+), 1 deletion(-)

commit afbdb0a04b3c737003a3dc0cec0095ba0c2256c2
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2018-03-20

    ssh-agent: Don't be too verbose on password prompt
    
    This partially reverts the change in 869b5c6d, so as not to display
    duplicate words on the password prompt.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=794500

 daemon/ssh-agent/gkd-ssh-agent-service.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit e360238029de47cafa974f4e0c2bd4ec793cd84b
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2018-03-20

    build: Suppress compiler warnings with -Wdiscarded-qualifiers

 daemon/login/gkd-login-interaction.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0db5a03011040fb68021ed4d034627e1ac06b86f
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2018-03-16

    ssh-agent: Make EOF handling robuster
    
    https://bugzilla.gnome.org/show_bug.cgi?id=794369

 daemon/ssh-agent/gkd-ssh-agent-service.c      | 3 ++-
 daemon/ssh-agent/gkd-ssh-agent-util.c         | 6 ++++++
 daemon/ssh-agent/test-gkd-ssh-agent-service.c | 8 ++++----
 3 files changed, 12 insertions(+), 5 deletions(-)

commit a19966ba0ef403e8eed733cc9be8b1d45a3787e4
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2018-03-16

    ssh-agent: Allow opening multiple connections to inferior ssh-agent
    
    Previously, it keeps only one connection to the inferior ssh-agent
    process.  That prevented simultaneous access to gnome-keyring's
    ssh-agent service.  With this patch, it always opens a new connection
    to the inferior ssh-agent process when a new client connects.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=794369

 daemon/ssh-agent/gkd-ssh-agent-process.c      | 29 ++++-------------------
 daemon/ssh-agent/gkd-ssh-agent-process.h      |  7 +-----
 daemon/ssh-agent/gkd-ssh-agent-service.c      | 34 ++++++++++++++++++---------
 daemon/ssh-agent/gkd-ssh-agent-util.c         | 11 +++++++++
 daemon/ssh-agent/gkd-ssh-agent-util.h         |  6 +++++
 daemon/ssh-agent/test-gkd-ssh-agent-process.c | 10 ++++----
 6 files changed, 51 insertions(+), 46 deletions(-)

commit 869b5c6da3b8d5bccd31c1cbb83477ead783a833
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2018-03-16

    ssh-agent: Use the same parameters for accessing login keyring
    
    When looking up a secret in the login keyring, do not supply any
    schema in the criteria, while using "org.freedesktop.Secret.Generic"
    as schema when storing it.  This is for backward compatibility with
    gnome-keyring 2.29, which used "org.gnome.keyring.EncryptionKey" as
    schema.
    
    In addtion, use the same label for the newly stored passwords as
    before.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=794368

 daemon/ssh-agent/gkd-ssh-agent-service.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 0a003f02590b99490420442d9d86bea186dbbf69
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2018-03-16

    login: Allow different sets of secret attributes for lookup/storing
    
    https://bugzilla.gnome.org/show_bug.cgi?id=794368

 daemon/login/gkd-login-interaction.c | 28 +++++++++++++++++++++++-----
 1 file changed, 23 insertions(+), 5 deletions(-)

commit 153ae24bd706dd505f496ffe63023c49de3842ae
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2018-03-16

    ssh-agent: Propagate stderr to journal when spawning ssh-add
    
    ssh-add fails in certain occasions, such as when the file permissions
    of private key is not unsafe.  To help diagnostics, propagate the
    stderr output from the command to journal.
    
    As the ssh commands send error message with trailing CR for each line,
    we need to scrub it so as not to confuse journald.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=794361

 daemon/ssh-agent/gkd-ssh-agent-service.c   |  8 +++++---
 daemon/ssh-agent/gkd-ssh-agent-util.c      | 16 ++++++++++++++++
 daemon/ssh-agent/gkd-ssh-agent-util.h      |  1 +
 daemon/ssh-agent/test-gkd-ssh-agent-util.c | 29 +++++++++++++++++++++++++++++
 4 files changed, 51 insertions(+), 3 deletions(-)

commit ff561a38675fdb07ec14512ed8d0aeaf39d4fa8a
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2018-03-13

    Release 3.28.0.1

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit f1441125ea0eb1116842e05060e906719fef40ea
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2018-03-13

    build: Fix linking of test modules with "-z defs"
    
    Split out mock-interaction.c from libegg.la to libegg-test.la.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=794274

 daemon/ssh-agent/Makefile.am | 3 ++-
 egg/Makefile.am              | 1 -
 2 files changed, 2 insertions(+), 2 deletions(-)

commit f26230a7c01e67384a36c00c8272105d7ce1cdcf
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2018-03-12

    Release 3.28.0

 NEWS         | 3 +++
 configure.ac | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 7120f44ceedd5c10802781d64a5829b3c6d8e13f
Author: Daiki Ueno <dueno@src.gnome.org>
Date:   2018-03-05

    build: Fix tap-driver to parse TAP directive

